Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom3.as
Interface ASDataType

public interface ASDataType

The datatypes supported by DOM AS implementations. Further datatypes may be added in the Schema/PSVI spec.

See also the Document Object Model (DOM) Level 3 Abstract Schemas and Load and Save Specification.

Field Summary
`static short` | `ANYURI_DATATYPE` Then uri reference data type as defined in .
`static short` | `BASE64BINARY_DATATYPE` The base64binary data type as defined in .
`static short` | `BOOLEAN_DATATYPE` A code representing the boolean data type as defined in .
`static short` | `BYTE_DATATYPE` The byte data type as defined in .
`static short` | `COMPLEX_DATATYPE` The user-defined complex data type as defined in .
`static short` | `DATE_DATATYPE` The date data type as defined in .
`static short` | `DATETIME_DATATYPE` The datetime data type as defined in .
`static short` | `DECIMAL_DATATYPE` The decimal data type as defined in .
`static short` | `DOUBLE_DATATYPE` A code representing the double data type as defined in .
`static short` | `DURATION_DATATYPE` The duration data type as defined in .
`static short` | `ENTITIES_DATATYPE` The ENTITIES data type as defined in .
`static short` | `ENTITY_DATATYPE` The ENTITY data type as defined in .
`static short` | `FLOAT_DATATYPE` A code representing the float data type as defined in .
`static short` | `GDAY_DATATYPE` The day data type as defined in .
`static short` | `GMONTH_DATATYPE` The month data type as defined in .
`static short` | `GMONTHDAY_DATATYPE` The monthday data type as defined in .
`static short` | `GYEAR_DATATYPE` The year data type as defined in .
`static short` | `GYEARMONTH_DATATYPE` The yearmonth data type as defined in .
`static short` | `HEXBINARY_DATATYPE` The hexbinary data type as defined in .
`static short` | `ID_DATATYPE` The ID data type as defined in .
`static short` | `IDREF_DATATYPE` The IDREF data type as defined in .
`static short` | `IDREFS_DATATYPE` The IDREFS data type as defined in .
`static short` | `INT_DATATYPE` The integer data type as defined in .
`static short` | `INTEGER` The integer data type as defined in .
`static short` | `LANGUAGE_DATATYPE` The Language data type as defined in .
`static short` | `LONG_DATATYPE` Then long data type as defined in .
`static short` | `NAME_DATATYPE` A code representing the Name data type as defined in .
`static short` | `NCNAME_DATATYPE` A code representing the NCName data type as defined in .
`static short` | `NEGATIVEINTEGER_DATATYPE` Then negative integer data type as defined in .
`static short` | `NMTOKEN_DATATYPE` The NMTOKEN data type as defined in .
`static short` | `NMTOKENS_DATATYPE` The NMTOKENS data type as defined in .
`static short` | `NONNEGATIVEINTEGER_DATATYPE` The non-negative integer data type as defined in .
`static short` | `NONPOSITIVEINTEGER_DATATYPE` The Non-positive integer data type as defined in .
`static short` | `NORMALIZEDSTRING_DATATYPE` A code representing the Normalized string data type as defined in .
`static short` | `NOTATION_DATATYPE` The NOTATION data type as defined in .
`static short` | `OTHER_SIMPLE_DATATYPE` The other simple data type as defined in .
`static short` | `POSITIVEINTEGER_DATATYPE` The positive integer data type as defined in .
`static short` | `QNAME_DATATYPE` Then XML qualified name data type as defined in .
`static short` | `SHORT_DATATYPE` The short data type as defined in .
`static short` | `STRING_DATATYPE` A code representing the string data type as defined in .
`static short` | `TIME_DATATYPE` The time data type as defined in .
`static short` | `TOKEN_DATATYPE` The token data type as defined in .
`static short` | `UNSIGNEDBYTE_DATATYPE` The unsigned byte data type as defined in .
`static short` | `UNSIGNEDINT_DATATYPE` The unsigned integer data type as defined in .
`static short` | `UNSIGNEDLONG_DATATYPE` The unsigned long data type as defined in .
`static short` | `UNSIGNEDSHORT_DATATYPE` The unsigned short data type as defined in .

Method Summary
`short` | `getDataType()` One of the enumerated codes representing the data type.

Field Detail

### STRING_DATATYPE

    public static final short STRING_DATATYPE

  A code representing the string data type as defined in .

### NOTATION_DATATYPE

    public static final short NOTATION_DATATYPE

  The NOTATION data type as defined in .

### ID_DATATYPE

    public static final short ID_DATATYPE

  The ID data type as defined in .

### IDREF_DATATYPE

    public static final short IDREF_DATATYPE

  The IDREF data type as defined in .

### IDREFS_DATATYPE

    public static final short IDREFS_DATATYPE

  The IDREFS data type as defined in .

### ENTITY_DATATYPE

    public static final short ENTITY_DATATYPE

  The ENTITY data type as defined in .

### ENTITIES_DATATYPE

    public static final short ENTITIES_DATATYPE

  The ENTITIES data type as defined in .

### NMTOKEN_DATATYPE

    public static final short NMTOKEN_DATATYPE

  The NMTOKEN data type as defined in .

### NMTOKENS_DATATYPE

    public static final short NMTOKENS_DATATYPE

  The NMTOKENS data type as defined in .

### BOOLEAN_DATATYPE

    public static final short BOOLEAN_DATATYPE

  A code representing the boolean data type as defined in .

### FLOAT_DATATYPE

    public static final short FLOAT_DATATYPE

  A code representing the float data type as defined in .

### DOUBLE_DATATYPE

    public static final short DOUBLE_DATATYPE

  A code representing the double data type as defined in .

### DECIMAL_DATATYPE

    public static final short DECIMAL_DATATYPE

  The decimal data type as defined in .

### HEXBINARY_DATATYPE

    public static final short HEXBINARY_DATATYPE

  The hexbinary data type as defined in .

### BASE64BINARY_DATATYPE

    public static final short BASE64BINARY_DATATYPE

  The base64binary data type as defined in .

### ANYURI_DATATYPE

    public static final short ANYURI_DATATYPE

  Then uri reference data type as defined in .

### QNAME_DATATYPE

    public static final short QNAME_DATATYPE

  Then XML qualified name data type as defined in .

### DURATION_DATATYPE

    public static final short DURATION_DATATYPE

  The duration data type as defined in .

### DATETIME_DATATYPE

    public static final short DATETIME_DATATYPE

  The datetime data type as defined in .

### DATE_DATATYPE

    public static final short DATE_DATATYPE

  The date data type as defined in .

### TIME_DATATYPE

    public static final short TIME_DATATYPE

  The time data type as defined in .

### GYEARMONTH_DATATYPE

    public static final short GYEARMONTH_DATATYPE

  The yearmonth data type as defined in .

### GYEAR_DATATYPE

    public static final short GYEAR_DATATYPE

  The year data type as defined in .

### GMONTHDAY_DATATYPE

    public static final short GMONTHDAY_DATATYPE

  The monthday data type as defined in .

### GDAY_DATATYPE

    public static final short GDAY_DATATYPE

  The day data type as defined in .

### GMONTH_DATATYPE

    public static final short GMONTH_DATATYPE

  The month data type as defined in .

### INTEGER

    public static final short INTEGER

  The integer data type as defined in .

### NAME_DATATYPE

    public static final short NAME_DATATYPE

  A code representing the Name data type as defined in .

### NCNAME_DATATYPE

    public static final short NCNAME_DATATYPE

  A code representing the NCName data type as defined in .

### NORMALIZEDSTRING_DATATYPE

    public static final short NORMALIZEDSTRING_DATATYPE

  A code representing the Normalized string data type as defined in .

### TOKEN_DATATYPE

    public static final short TOKEN_DATATYPE

  The token data type as defined in .

### LANGUAGE_DATATYPE

    public static final short LANGUAGE_DATATYPE

  The Language data type as defined in .

### NONPOSITIVEINTEGER_DATATYPE

    public static final short NONPOSITIVEINTEGER_DATATYPE

  The Non-positive integer data type as defined in .

### NEGATIVEINTEGER_DATATYPE

    public static final short NEGATIVEINTEGER_DATATYPE

  Then negative integer data type as defined in .

### LONG_DATATYPE

    public static final short LONG_DATATYPE

  Then long data type as defined in .

### INT_DATATYPE

    public static final short INT_DATATYPE

  The integer data type as defined in .

### SHORT_DATATYPE

    public static final short SHORT_DATATYPE

  The short data type as defined in .

### BYTE_DATATYPE

    public static final short BYTE_DATATYPE

  The byte data type as defined in .

### NONNEGATIVEINTEGER_DATATYPE

    public static final short NONNEGATIVEINTEGER_DATATYPE

  The non-negative integer data type as defined in .

### UNSIGNEDLONG_DATATYPE

    public static final short UNSIGNEDLONG_DATATYPE

  The unsigned long data type as defined in .

### UNSIGNEDINT_DATATYPE

    public static final short UNSIGNEDINT_DATATYPE

  The unsigned integer data type as defined in .

### UNSIGNEDSHORT_DATATYPE

    public static final short UNSIGNEDSHORT_DATATYPE

  The unsigned short data type as defined in .

### UNSIGNEDBYTE_DATATYPE

    public static final short UNSIGNEDBYTE_DATATYPE

  The unsigned byte data type as defined in .

### POSITIVEINTEGER_DATATYPE

    public static final short POSITIVEINTEGER_DATATYPE

  The positive integer data type as defined in .

### OTHER_SIMPLE_DATATYPE

    public static final short OTHER_SIMPLE_DATATYPE

  The other simple data type as defined in .

### COMPLEX_DATATYPE

    public static final short COMPLEX_DATATYPE

  The user-defined complex data type as defined in .

Method Detail

### getDataType

    public short getDataType()

  One of the enumerated codes representing the data type.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.